# QCA::SASL::Params Class Reference
[QCA user API]

Parameter flags for the SASL authentication. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::SASL::Params:

[legend]

List of all members.

## Public Member Functions

bool | canSendAuthzid () const
bool | canSendRealm () const
bool | needPassword () const
bool | needUsername () const
Params & | operator= (const Params &from)
| Params (const Params &from)
| Params (bool user, bool authzid, bool pass, bool realm)

## Detailed Description

Parameter flags for the SASL authentication.

This is used to indicate which parameters are needed by SASL in order to complete the authentication process.

Examples:

  saslclient.cpp.

## Constructor & Destructor Documentation

QCA::SASL::Params::Params | ( | bool | user,
|  | bool | authzid,
|  | bool | pass,
|  | bool | realm |
| ) |  |  |

Standard constructor.

The concept behind this is that you set each of the flags depending on which parameters are needed.

Parameters:

  | user | the username is required
  | authzid | the authorization identity is required
  | pass | the password is required
  | realm | the realm is required

QCA::SASL::Params::Params | ( | const Params & | from | ) |

Standard copy constructor.

Parameters:

  | from | the Params object to copy

## Member Function Documentation

bool QCA::SASL::Params::canSendAuthzid | ( |  | ) | const

An Authorization ID can be sent if desired.

Examples:
  saslclient.cpp.

bool QCA::SASL::Params::canSendRealm | ( |  | ) | const

A Realm can be sent if desired.

Examples:
  saslclient.cpp.

bool QCA::SASL::Params::needPassword | ( |  | ) | const

Password is needed.

Examples:
  saslclient.cpp.

bool QCA::SASL::Params::needUsername | ( |  | ) | const

User is needed.

Examples:
  saslclient.cpp.

Params& QCA::SASL::Params::operator= | ( | const Params & | from | ) |

Standard assignment operator.

Parameters:

  | from | the Params object to assign from

The documentation for this class was generated from the following file:

- qca_securelayer.h